// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/close.c $
// $Rev: 25483 $
// $Date:$

#include <errno.h>

#include "dio40_lib.h"



/******************************************************************************
*
*	Function:	dio40_close
*
*	Purpose:
*
*		Close access to the given board.
*
*	Arguments:
*
*		fd		The file descriptor for the board to close.
*
*	Returned:
*
*		0		All went well.
*		else	The errno for the error that occurred.
*
******************************************************************************/

int dio40_close(int fd)
{
	int		errs;

	errs	= close(fd);
	errs	= errs ? errno : 0;
	return(errs);
}



