#include <errno.h>
#include <stdio.h>

#include "dio40_dsl.h"

int dio40_dsl_reg_write(int fd, u32 reg, u32 value)
{
	gsc_reg_t	parm;
	int			status;

	parm.reg	= reg;
	parm.value	= value;
	parm.mask	= 0;	// ignored for writes
	status		= ioctl(fd,
						DIO40_IOCTL_REG_WRITE,
						(unsigned long) &parm);

	if (status == -1)
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
