// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/driver/ioctl.c $
// $Rev: 35046 $
// $Date:$

#include "main.h"



//*****************************************************************************
static int _query(dev_data_t* dev, s32* arg)
{
	int	ret	= 0;

	switch (arg[0])
	{
		default:	arg[0]	= (s32) DIO40_IOCTL_QUERY_ERROR;
					ret		= -EINVAL;
					break;

		case DIO40_QUERY_COUNT:			arg[0]	= (s32) DIO40_QUERY_LAST;	break;
		case DIO40_QUERY_DEVICE_TYPE:	arg[0]	= (s32) dev->board_type;	break;
	}

	return(ret);
}



// variables *******************************************************************

const gsc_ioctl_t	dev_ioctl_list[]	=
{
	{ DIO40_IOCTL_REG_READ,		(void*) gsc_reg_read_ioctl	},
	{ DIO40_IOCTL_REG_WRITE,	(void*) gsc_reg_write_ioctl	},
	{ DIO40_IOCTL_REG_MOD,		(void*) gsc_reg_mod_ioctl	},
	{ DIO40_IOCTL_QUERY,		(void*) _query				},
	{ -1, NULL }
};


