// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/utils/dio40_utils.h $
// $Rev: 34235 $
// $Date: 2016-01-08 17:55:40 -0600 (Fri, 08 Jan 2016) $

#ifndef __DIO40_UTILS_H__
#define __DIO40_UTILS_H__

#include "dio40.h"
#include "gsc_utils.h"




// prototypes *****************************************************************

int			dio40_count_boards(void);

int			id_board(int fd);
void		id_library(void);
void		id_host(void);

void		label(const char* label);
int			label_fail_func(int errs, int verbose, const char* func);
int			label_fail_text(int errs, int verbose, const char* text);
int			label_fail_value(int errs, int verbose, long value);
const char* label_format_k(u32 val, u32 k);
const char* label_format_f(float val, u32 k);
void		label_init(int width);
void		label_level_dec(void);
void		label_level_inc(void);



#endif
